/*
OBJect VIEWer for Byliny MUD and other Circle-like MUDs (f.e., Virtustan MUD)

    FreeBSD/gcc

Prool. proolix@gmail.com www.prool.kharkov.org www.virtustan.net
27-Feb-2008, Kharkov, GPL
*/

#define ERR(str,str2) { printf(str,str2); return 1; }
#define BUFFSIZE 255

#include <stdio.h>
#include <string.h>

int main (int argc, char *argv[])
{
FILE *in;
char *buff;
char buff_ [BUFFSIZE];
int vnum;
int i1, i2, i3, i4;

buff=buff_;

if (argc!=2) return 2;
if (argc!=2) ERR("usage: %s objfile \n", argv[0])
// printf("`%s'\n",argv[1]);
in=fopen(argv[1],"r");
if (in==NULL) ERR("can't open input file %s\n",argv[1])

printf("<html><head><title>Objects</title></head><body>\n");
printf("<table border=\"1\">\n");
printf("<tr><th># vnum</th><th> <th>,      \n");
printf("<th>..<th>..<th>\n");
printf("<th><th> , <th> <th>  \n");

for(;;) {
	if (fgets(buff, BUFFSIZE, in)==NULL) break;
	if (buff[0]=='*') continue;
	if (buff[0]=='#')
		{ //   
		vnum=atoi(buff+1);
		printf("\n<tr align=\"left\"><th>%i</th> ",vnum);

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		*strchr(buff,'~')=0;
		printf("<th>%s</th> ",buff);

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fgets(buff, BUFFSIZE, in)==NULL) break;

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		sscanf(buff,"%i %i %i %i",&i1, &i2, &i3, &i4);
		// printf("str=`%s'\n",buff);
		printf("<th>%i <th>%i <th>%i <th>%i\n", i1, i2, i3, i4);

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		sscanf(buff,"%i %i %i %i",&i1, &i2, &i3, &i4);
		printf("<th>%i <th>%i <th>%i <th>%i\n", i1, i2, i3, i4);
		}
	}

fclose(in);
printf("\n</table>\n</body>\n</html>\n");
return 0;
}
