/*

   .mob  Circle 3.0    MUD "".
  ,          
(  Circle  MUD,       ,   
,         ,  
.         0d0

     ,   .

    FreeBSD/gcc

Prool. proolix@gmail.com www.prool.kharkov.org www.virtustan.net
25-Oct-2007, Kharkov, GPL

*/

#include <stdio.h>

#define ERR(str,str2) { printf(str,str2); return 1; }
#define BUFFSIZE 255

int main (int argc, char *argv[])
{

int i;
FILE *in, *out;
char buff [BUFFSIZE];

/* printf("Converter. argc=%i\n",argc); */

if (argc!=3) ERR("usage: %s oldfile newfile\n", argv[0])

in=fopen(argv[1],"r");
if (in==NULL) ERR("can't open input file %s\n",argv[1])

out=fopen(argv[2],"w");
if (out==NULL) ERR("can't create output file %s\n",argv[2])

for (;;)
	{
	if (fgets(buff, BUFFSIZE, in)==NULL) break;
	if (buff[0]=='#')
		{
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		for (i=0;i<6;i++)
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		/* first description */
		for (;;)
			{
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
			if (buff[0]=='~') break;
			}
		/* sekond deskription */
		for (;;)
			{
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
			if (buff[0]=='~') break;
			}
		/* 2 lines */
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		/* 0d0+* * */
		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		fprintf(out,"0d0+%s",buff);
		}
	else
		{
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		}
	}

fclose(in);
fclose(out);

return 0;
}

